Package org.jboss.resteasy.plugins.providers.sse

## Class SseBroadcasterImpl

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.sse.SseBroadcasterImpl

- All Implemented Interfaces:
    `AutoCloseable`, `javax.ws.rs.sse.SseBroadcaster`

      public class SseBroadcasterImpl
      extends Object
      implements javax.ws.rs.sse.SseBroadcaster

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SseBroadcasterImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CompletionStage<?>` | `broadcast​(javax.ws.rs.sse.OutboundSseEvent event)` |
    `void` | `close()` |
    `void` | `onClose​(Consumer<javax.ws.rs.sse.SseEventSink> onClose)` |
    `void` | `onError​(BiConsumer<javax.ws.rs.sse.SseEventSink,​Throwable> onError)` |
    `void` | `register​(javax.ws.rs.sse.SseEventSink sseEventSink)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SseBroadcasterImpl

          public SseBroadcasterImpl()

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `javax.ws.rs.sse.SseBroadcaster`

    - #### onError

          public void onError​(BiConsumer<javax.ws.rs.sse.SseEventSink,​Throwable> onError)

      Specified by:
        `onError` in interface `javax.ws.rs.sse.SseBroadcaster`

    - #### onClose

          public void onClose​(Consumer<javax.ws.rs.sse.SseEventSink> onClose)

      Specified by:
        `onClose` in interface `javax.ws.rs.sse.SseBroadcaster`

    - #### register

          public void register​(javax.ws.rs.sse.SseEventSink sseEventSink)

      Specified by:
        `register` in interface `javax.ws.rs.sse.SseBroadcaster`

    - #### broadcast

          public CompletionStage<?> broadcast​(javax.ws.rs.sse.OutboundSseEvent event)

      Specified by:
        `broadcast` in interface `javax.ws.rs.sse.SseBroadcaster`